# Class UrlCssHandler

java.lang.Object
net.sf.statcvs.output.UrlCssHandler

All Implemented Interfaces:
  `CssHandler`

public class UrlCssHandler extends Object implements CssHandler
CSS handler for a CSS file specified by a HTTP URL.

Author:
  Richard Cyganiak

## Constructor Summary

Constructors
Constructor
Description
`UrlCssHandler(URL url)`
Creates a new UrlCssHandler for a CSS file located at a given URL.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkForMissingResources()`
We could check here if there is a real CSS file at the URL, but this would require net access, so we just do nothing.
`void`
`createOutputFiles()`
We don't create any output files.
`String`
`getLink()`
Simply return the URL
`String`
`toString()`
toString

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UrlCssHandler

public UrlCssHandler(URL url)
Creates a new UrlCssHandler for a CSS file located at a given URL.

Parameters:
  `url` - the url to the CSS file

## Method Details

### getLink

public String getLink()
Simply return the URL

Specified by:
  `getLink` in interface `CssHandler`
Returns:
  a link to the CSS file
See Also:
  - `CssHandler.getLink()`

### checkForMissingResources

public void checkForMissingResources() throws ConfigurationException
We could check here if there is a real CSS file at the URL, but this would require net access, so we just do nothing.

Specified by:
  `checkForMissingResources` in interface `CssHandler`
Throws:
  `ConfigurationException` - if some resource is missing.
See Also:
  - `CssHandler.checkForMissingResources()`

### createOutputFiles

public void createOutputFiles() throws IOException
We don't create any output files. We could copy the CSS file from the URL to the output dir, but this would require net access, so we just do nothing.

Specified by:
  `createOutputFiles` in interface `CssHandler`
Throws:
  `IOException` - if an output file can't be created
See Also:
  - `CssHandler.createOutputFiles()`

### toString

public String toString()
toString

Overrides:
  `toString` in class `Object`
Returns:
  string